Summary: A GNU collection of binary utilities, configured for m68k.
Name: 68kutils
Version: 2.9.1.0.23
Release: 1
Copyright: GPL
Group: Development/Tools
Source: ftp://ftp.varesearch.com/pub/support/hjl/binutils/binutils-%{version}.tar.gz
#Patch0: binutils-2.9.1.0.16-arm.patch
#Patch1: binutils-2.9.1.0.19a-arm-diff-981230.gz
#Patch2: binutils-2.9.1.0.22b-xref.patch
Buildroot: /var/tmp/68kutils-root
Prefix: /usr/local/68k

%description
Binutils is a collection of binary utilities, including ar (for creating,
modifying and extracting from archives), nm (for listing symbols from
object files), objcopy (for copying and translating object files),
objdump (for displaying information from object files), ranlib (for
generating an index for the contents of an archive), size (for listing
the section sizes of an object or archive file), strings (for listing
printable strings from files), strip (for discarding symbols), c++filt
(a filter for demangling encoded C++ symbols), addr2line (for converting
addresses to file and line), and nbnconv (for converting object code into
an NLM). 

Install binutils if you need to perform any of these types of actions on
binary files.  Most programmers will want to install binutils.

%prep
%setup -q -n binutils-%{version}
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1

%build
./configure --prefix=/usr/local/68k --target=m68k-linux-gnu
make tooldir=/usr/local/68k all info

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/local/68k
make prefix=$RPM_BUILD_ROOT/usr/local/68k tooldir=$RPM_BUILD_ROOT/usr/local/68k/ install install-info
strip $RPM_BUILD_ROOT/usr/local/68k/bin/*
gzip -q9f $RPM_BUILD_ROOT/usr/local/68k/info/*.info*

#install -m 644 libiberty/libiberty.a $RPM_BUILD_ROOT/usr/local/68k/lib
install -m 644 include/libiberty.h $RPM_BUILD_ROOT/usr/local/68k/include

### chmod +x $RPM_BUILD_ROOT/usr/local/68k/lib/lib*.so*

# This one comes from egcs
rm -f $RPM_BUILD_ROOT/usr/local/68k/bin/c++filt

%clean
rm -rf $RPM_BUILD_ROOT

%post
# /sbin/ldconfig
/sbin/install-info --info-dir=$RPM_INSTALL_PREFIX/info $RPM_INSTALL_PREFIX/info/as.info.gz
/sbin/install-info --info-dir=$RPM_INSTALL_PREFIX/info $RPM_INSTALL_PREFIX/info/bfd.info.gz
/sbin/install-info --info-dir=$RPM_INSTALL_PREFIX/info $RPM_INSTALL_PREFIX/info/binutils.info.gz
/sbin/install-info --info-dir=$RPM_INSTALL_PREFIX/info $RPM_INSTALL_PREFIX/info/gasp.info.gz
#sbin/install-info --info-dir=$RPM_INSTALL_PREFIX/info $RPM_INSTALL_PREFIX/info/gprof.info.gz
/sbin/install-info --info-dir=$RPM_INSTALL_PREFIX/info $RPM_INSTALL_PREFIX/info/ld.info.gz
/sbin/install-info --info-dir=$RPM_INSTALL_PREFIX/info $RPM_INSTALL_PREFIX/info/standards.info.gz

%preun
if [ $1 = 0 ] ;then
  /sbin/install-info --delete --info-dir=$RPM_INSTALL_PREFIX/info $RPM_INSTALL_PREFIX/info/as.info.gz
  /sbin/install-info --delete --info-dir=$RPM_INSTALL_PREFIX/info $RPM_INSTALL_PREFIX/info/bfd.info.gz
  /sbin/install-info --delete --info-dir=$RPM_INSTALL_PREFIX/info $RPM_INSTALL_PREFIX/info/binutils.info.gz
  /sbin/install-info --delete --info-dir=$RPM_INSTALL_PREFIX/info $RPM_INSTALL_PREFIX/info/gasp.info.gz
# /sbin/install-info --delete --info-dir=$RPM_INSTALL_PREFIX/info $RPM_INSTALL_PREFIX/info/gprof.info.gz
  /sbin/install-info --delete --info-dir=$RPM_INSTALL_PREFIX/info $RPM_INSTALL_PREFIX/info/ld.info.gz
  /sbin/install-info --delete --info-dir=$RPM_INSTALL_PREFIX/info $RPM_INSTALL_PREFIX/info/standards.info.gz
fi

# %postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
# %doc README
/usr/local/68k/bin/*
/usr/local/68k/man/man1/*
/usr/local/68k/include/*
/usr/local/68k/lib/*
/usr/local/68k/info/*info*

%changelog
* Mon Apr 05 1999 Cristian Gafton <gafton@redhat.com>
- version  2.9.1.0.23
- patch to make texinfo documentation compile
- auto rebuild in the new build environment (release 2)

* Tue Feb 23 1999 Cristian Gafton <gafton@redhat.com>
- updated to 2.9.1.0.21
- merged with UltraPenguin

* Mon Jan 04 1999 Cristian Gafton <gafton@redhat.com>
- added ARM patch from philb
- version 2.9.1.0.19a
- added a patch to allow arm* arch to be identified as an ARM

* Thu Oct 01 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.9.1.0.14.

* Sat Sep 19 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.9.1.0.13.

* Wed Sep 09 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.9.1.0.12

* Thu Jul  2 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.9.1.0.7.

* Wed Jun 03 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.9.1.0.6.

* Tue Jun 02 1998 Erik Troan <ewt@redhat.com>
- added patch from rth to get right offsets for sections in relocateable
  objects on sparc32

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- version 2.9.1.0.4 is out; even more, it is public !

* Tue May 05 1998 Jeff Johnson <jbj@redhat.com>
- updated to 2.9.1.0.3.

* Mon Apr 20 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.9.0.3

* Tue Apr 14 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.9.0.2

* Sun Apr 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.8.1.0.29 (HJ warned me that this thing is a moving target...
  :-)
- "fixed" the damn make install command so that all tools get installed

* Thu Apr 02 1998 Cristian Gafton <gafton@redhat.com>
- upgraded again to 2.8.1.0.28 (at least on alpha now egcs will compile)
- added info packages handling

* Tue Mar 10 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 2.8.1.0.23

* Mon Mar 02 1998 Cristian Gafton <gafton@redhat.com>
- updated to 2.8.1.0.15 (required to compile the newer glibc)
- all patches are obsoleted now

* Wed Oct 22 1997 Erik Troan <ewt@redhat.com>
- added 2.8.1.0.1 patch from hj
- added patch for alpha palcode form rth
